for (var i = 0, len = myArray.length; i < len; i++) {
    var item = myArray[i];
    /*...*/
}

var anchors = $('a'); // lub document.getElementsByTagName('a');
for (var i = 0, anchor; anchor = anchors[i]; i++) {
    console.log(anchor.href);
}

var objects = [{ }, { }, { }];
for (var i = 0, item; item = objects[i]; i++) {
    console.log(item);
}
